Create a real estate video job
curl --request POST \
--url https://backend.tensorpix.ai/api/v2/real-estate/projects/{project_id}/video-jobs/ \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '{}'import requests
url = "https://backend.tensorpix.ai/api/v2/real-estate/projects/{project_id}/video-jobs/"
payload = {}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://backend.tensorpix.ai/api/v2/real-estate/projects/{project_id}/video-jobs/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"error_message": "<string>",
"status": "queued",
"description": "<string>",
"started_at": "2023-11-07T05:31:56Z",
"finished_at": "2023-11-07T05:31:56Z",
"processing_time_seconds": 123,
"cost_credits": "<string>",
"project_real_estate": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"detail": "<unknown>",
"error_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"detail": "<string>",
"error_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"detail": "<string>",
"error_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"detail": "<string>",
"error_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"detail": "<string>",
"error_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"error": "<string>",
"error_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"error_message": "<string>",
"status": "queued",
"description": "<string>",
"started_at": "2023-11-07T05:31:56Z",
"finished_at": "2023-11-07T05:31:56Z",
"processing_time_seconds": 123,
"cost_credits": "<string>",
"project_real_estate": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}Real Estate Jobs
Create a real estate video job
Create and queue one job that makes the full video for one project.
POST
/
api
/
v2
/
real-estate
/
projects
/
{project_id}
/
video-jobs
/
Create a real estate video job
Authorizations
tokenAuthjwtAuth
Token-based authentication with required prefix "Token"
Path Parameters
Body
application/jsonapplication/x-www-form-urlencodedmultipart/form-data
Serializer for creating generate real-estate video jobs.
Response
Read-only serializer for generate real-estate video jobs.
Datetime when the record was created.
Error details if job failed.
Current job status.
queued- Queuedprocessing- Processingexpired- Expiredcancelled- Cancelledcompleted- Completedfailed- Failed
Available options:
queued, processing, expired, cancelled, completed, failed Human-readable job description.
When job processing started.
When the job processing successfully finished.
Calculate job processing time in seconds. If the job is still processing, calculate time since started. If the job was cancelled, deleted, calculate time until that point. if the job is completed, calculate time until finished.
Job cost in 🪙 Credits.
Pattern:
^-?\d{0,8}(?:\.\d{0,2})?$Real-estate project this generation job belongs to.
Was this page helpful?